## Apache Zeta Components Manual :: Docs For Class ezcWebdavGetContentLengthProperty

### Webdav::ezcWebdavGetContentLengthProperty

### Class ezcWebdavGetContentLengthProperty

An object of this class represents the Webdav property <getcontentlength>.

Source for this file: /Webdav/src/properties/getcontentlength.php

    ezcWebdavInfrastructureBase
       |
       --ezcWebdavProperty
          |
          --ezcWebdavLiveProperty
             |
             --ezcWebdavGetContentLengthProperty

Version: | //autogentag//

### Constants

`COLLECTION = '4096'` | The WebDav RFC defines that each DAV: compliant resource must have this property set. It does not define what should be returned for collections. We use the string in this constant for this.

### Properties

string | read/write | `$length` The content length.

### Inherited Member Variables

From ezcWebdavProperty
protected | `ezcWebdavProperty::$properties`
From ezcWebdavInfrastructureBase
protected | `ezcWebdavInfrastructureBase::$pluginData`

### Method Summary

public void | `__construct( [ $length = null] )` Creates a new ezcWebdavGetContentLengthProperty.
public bool | `hasNoContent( )` Returns if property has no content.

### Inherited Methods

From ezcWebdavLiveProperty
public void | `ezcWebdavLiveProperty::__construct()` Creates a new live property.
From ezcWebdavProperty
public void | `ezcWebdavProperty::__construct()` Creates a new property object.
public void | `ezcWebdavProperty::clear()` Remove all contents from a property.
protected void | `ezcWebdavProperty::hasError()` Indicates that a property has a validation error.
public abstract bool | `ezcWebdavProperty::hasNoContent()` Check if property has no content.
public void | `ezcWebdavProperty::__clone()` Clones a property deeply.
From ezcWebdavInfrastructureBase
public mixed | `ezcWebdavInfrastructureBase::getPluginData()` Retrieves plugin data from the storage.
public bool | `ezcWebdavInfrastructureBase::hasPluginData()` Returns if plugin data is available in the storage.
public void | `ezcWebdavInfrastructureBase::removePluginData()` Removes plugin data from the storage.
public void | `ezcWebdavInfrastructureBase::setPluginData()` Sets plugin data in the storage.

### Methods

#### __construct

void __construct( [string $length = null] )

Creates a new ezcWebdavGetContentLengthProperty.

Creates a new ezcWebdavGetContentLengthProperty with the given length. The length should be given as a string to avoid integer overflows.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$length` | string | The length.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavLiveProperty::__construct()` | Creates a new live property.

#### hasNoContent

bool hasNoContent( )

Returns if property has no content.

Returns true, if the property has no content stored.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavProperty::hasNoContent()` | Check if property has no content.

Documentation generated by phpDocumentor 1.4.3